> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Network Mapping

> List of network mappings.

Example of request:

```
 curl --location --request GET 'https://api.gcore.com/dns/v2/network-mappings' \
 --header 'Authorization: Bearer ...'
```



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml get /dns/v2/network-mappings
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/network-mappings:
    get:
      tags:
        - NetworkMappings
      summary: List Network Mapping
      description: |-
        List of network mappings.

        Example of request:

        ```
         curl --location --request GET 'https://api.gcore.com/dns/v2/network-mappings' \
         --header 'Authorization: Bearer ...'
        ```
      operationId: ListNetworkMapping
      parameters:
        - name: offset
          in: query
          description: Amount of records to skip before beginning to write in response.
          schema:
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            type: integer
            format: uint64
        - name: order_by
          in: query
          description: Field name to sort by
          schema:
            type: string
        - name: order_direction
          in: query
          description: Ascending or descending order
          schema:
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: ListNetworkMappingResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListNetworkMappingResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            network_mappings = client.dns.network_mappings.list()
            print(network_mappings.network_mappings)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/dns\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnetworkMappings, err := client.DNS.NetworkMappings.List(context.TODO(), dns.NetworkMappingListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", networkMappings.NetworkMappings)\n}\n"
components:
  schemas:
    ListNetworkMappingResponse:
      type: object
      properties:
        network_mappings:
          type: array
          items:
            $ref: '#/components/schemas/NetworkMapping'
        total_amount:
          type: integer
          format: int64
    NetworkMapping:
      type: object
      properties:
        id:
          type: integer
          format: uint64
          readOnly: true
        mapping:
          $ref: '#/components/schemas/Mapping'
        name:
          type: string
    Mapping:
      type: array
      items:
        $ref: '#/components/schemas/MappingEntry'
    MappingEntry:
      type: object
      properties:
        cidr4:
          type: array
          items:
            type: string
        cidr6:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````